#include <QCoreApplication>
#include <QWebSocketServer>
#include <QWebSocket>


int main(int argc, char *argv[])
{
    QCoreApplication a(argc, argv);

    QWebSocket ws;
    ws.open(QUrl("ws://localhost:2525"));

    QObject::connect(&ws, &QWebSocket::textMessageReceived
                     , [&](const QString &message){
        qDebug() << "Client side received a text message. Lenght is" << message.length();
    }
    );

    return a.exec();
}
